Package com.smartgwt.client.widgets.calendar.events

# Class EventOverflowImgClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<EventOverflowImgClickHandler>
com.smartgwt.client.widgets.calendar.events.EventOverflowImgClickEvent

All Implemented Interfaces:
  `Cancellable`

public class EventOverflowImgClickEvent extends BrowserEvent<EventOverflowImgClickHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventOverflowImgClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the default overflow dialog
  `protected void`
  `dispatch(EventOverflowImgClickHandler handler)`
  `static <S extends HasEventOverflowImgClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<EventOverflowImgClickHandler>`
  `getAssociatedType()`
  `Date`
  `getEndDate()`
  end of the overflow region
  `CalendarEvent[]`
  `getEvents()`
  the hidden events in this overflow region
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `Img`
  `getImg()`
  the overflow chip that was clicked
  `Date`
  `getStartDate()`
  start of the overflow region
  `static GwtEvent.Type<EventOverflowImgClickHandler>`
  `getType()`
  Gets the type associated with this event.
  `CalendarView`
  `getView()`
  the view containing the overflow
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventOverflowImgClickEvent

    public EventOverflowImgClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasEventOverflowImgClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<EventOverflowImgClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(EventOverflowImgClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<EventOverflowImgClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<EventOverflowImgClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<EventOverflowImgClickHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the default overflow dialog
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getImg

    public Img getImg()
    the overflow chip that was clicked
    Returns:
      the overflow chip that was clicked

  - ### getEvents

    public CalendarEvent[] getEvents()
    the hidden events in this overflow region
    Returns:
      the hidden events in this overflow region

  - ### getStartDate

    public Date getStartDate()
    start of the overflow region
    Returns:
      start of the overflow region

  - ### getEndDate

    public Date getEndDate()
    end of the overflow region
    Returns:
      end of the overflow region

  - ### getView

    public CalendarView getView()
    the view containing the overflow
    Returns:
      the view containing the overflow